Bug 1271035 - The '-t' parameter doesn't work for oo-install
The '-t' parameter doesn't work for oo-install
Status: CLOSED WONTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Samuel Munilla
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 21:58 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 11:30:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-12 21:58:03 EDT
Description of problem:
The '-t' parameter doesn't work for oo-install


Version-Release number of selected component (if applicable):
oo-install-3.0.3-1.el7aos.noarch

How reproducible:
100%


Steps to Reproduce:
1. run 'oo-install' as following
#oo-install -a openshift-ansible/ -t openshift-enterprise

Actual results:
TASK: [openshift_repos | assert ] ********************************************* 
failed: [10.66.79.193] => {"assertion": "openshift_deployment_type in known_openshift_deployment_types", "evaluated_to": false, "failed": true}

FATAL: all hosts have already failed -- aborting

PLAY RECAP ********************************************************************



Check the ansible hosts file, the deployment_type is set to None


Expected results:
1. Can install the env successfully
2. suggest to set default value for the '-t' parameter, or set it to required parameter for oo-install

Additional info:
Comment 2 Brenton Leanhardt 2015-10-28 11:30:59 EDT
oo-install was officially packaged and renamed to atomic-openshift-installer.  In the latest puddle you can install atomic-openshift-utils to provide that tool.

Note You need to log in before you can comment on or make changes to this bug.